This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 851949 - [SetupNetworks] Need more validation for IP address field.
[SetupNetworks] Need more validation for IP address field.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: lpeer
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 02:34 EDT by Meni Yakove
Modified: 2016-02-10 14:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 02:46:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (716.66 KB, text/x-log)
2012-08-27 02:34 EDT, Meni Yakove
no flags Details
vdsm.log (3.60 MB, text/x-log)
2012-08-27 02:35 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-08-27 02:34:16 EDT
Description of problem:
The validation on the IP address field is not complete, For example I can set IP address of 01.01.01.01 and this is not valid IP address. After apply and then open SetupNetworks again the static checkbox is selected but with empty IP address. 

Version-Release number of selected component (if applicable):
rhevm-3.1.0-13.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.Open SetupNetwork attache network to interface and set BOOTPROTO to static. Enter IP address 01.01.01.01 > Apply

  
Actual results:
Can set IP address of 01.01.01.01

Expected results:
Should get error about wrong IP address.
Comment 1 Meni Yakove 2012-08-27 02:34:43 EDT
Created attachment 607137 [details]
engine.log
Comment 2 Meni Yakove 2012-08-27 02:35:38 EDT
Created attachment 607138 [details]
vdsm.log
Comment 3 Itamar Heim 2012-08-27 02:39:50 EDT
I'd argue 01.01.01.01 is a legit ip address (both windows and linux accept it).

not sure why ipcalc doesn't

MainProcess|Thread-54412::INFO::2012-08-27 09:12:54,922::configNetwork::69::root::(ifup) Error adding address 01.01.01.01 for VM_VLAN_12.

MainProcess|Thread-54412::WARNING::2012-08-27 09:12:54,923::configNetwork::71::root::(ifup) ipcalc: bad IPv4 address: 01.01.01.01
ipcalc: bad IPv4 address: 01.01.01.01
ipcalc: bad IPv4 address: 01.01.01.01
Error: an inet prefix is expected rather than "01.01.01.01/".
bind: Cannot assign requested address

Note You need to log in before you can comment on or make changes to this bug.